Download it now!
Bug 55838 - EDITING: ctrl + end does not jump to end of document
Summary: EDITING: ctrl + end does not jump to end of document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2012-10-10 11:04 UTC by stfhell
Modified: 2019-12-03 14:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document control_end.odt (160.73 KB, application/vnd.oasis.opendocument.text)
2012-10-10 11:07 UTC, stfhell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stfhell 2012-10-10 11:04:46 UTC
In some documents, the key combination "ctrl+end" (bound to "To Document End") does not move the cursor to the end of the document. Sometimes it jumps to the footer area, sometimes it doesn't move at all.

Very old bug, first reported for OpenOffice on 2008-01-15, see Apache issue #85255:
https://issues.apache.org/ooo/show_bug.cgi?id=85255

I had the same problem with the XTextRange method gotoEnd() in 2009.
Comment 1 stfhell 2012-10-10 11:07:07 UTC
Created attachment 68400 [details]
Sample document control_end.odt

The ODT shows that Ctrl+End does not move the cursor to end of document
Comment 2 Joel Madero 2013-06-02 02:39:32 UTC
First, apologies for the long delay, QA team is overworked but we're growing so hopefully going forward bugs won't take months to confirm :)

That being said:

Updating version as you said it was inherited by OOo - version field reflects oldest version we see the problem - if we inherited it then 3.3 beta would be appropriate - really we should have a version "OOo days" ;)

Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - doesn't prevent high quality work, slows it down a tiny bit
Lowest - the inconvenience of this one not working seems to be very minimal


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 QA Administrators 2015-03-16 23:00:43 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-31 08:35:46 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 5 QA Administrators 2017-05-22 13:19:58 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:07:14 UTC
Dear stfhell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug